# Class SwingTreeMapModel.LabelComboBoxModel<N extends MutableTreeMapNode>

java.lang.Object
javax.swing.AbstractListModel
javax.swing.DefaultComboBoxModel
com.treemap.swing.AbstractTreeMapFieldComboBoxModel
com.treemap.swing.SwingTreeMapModel.LabelComboBoxModel<N>

All Implemented Interfaces:
  `Serializable, ComboBoxModel, ListModel, MutableComboBoxModel`

Enclosing class:
  `SwingTreeMapModel<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>, Row, Column>`

public static class SwingTreeMapModel.LabelComboBoxModel<N extends MutableTreeMapNode> extends AbstractTreeMapFieldComboBoxModel

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class AbstractTreeMapFieldComboBoxModel

  `none, treeMapModel`

  ### Fields inherited from class AbstractListModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LabelComboBoxModel(TreeMapModel<N,?,?,?,?> treeMapModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `accept(TreeMapField field)`
  `protected void`
  `updateComboBox()`
  `protected void`
  `updateTreeMap()`

  ### Methods inherited from class DefaultComboBoxModel

  `addAll, addAll, addElement, getElementAt, getIndexOf, getSelectedItem, getSize, insertElementAt, removeAllElements, removeElement, removeElementAt, setSelectedItem`

  ### Methods inherited from class AbstractListModel

  `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ListModel

  `addListDataListener, removeListDataListener`

- ## Constructor Details

  - ### LabelComboBoxModel

    public LabelComboBoxModel(TreeMapModel<N,?,?,?,?> treeMapModel)

- ## Method Details

  - ### updateComboBox

    protected void updateComboBox()
    Specified by:
      `updateComboBox` in class `AbstractTreeMapFieldComboBoxModel`

  - ### updateTreeMap

    protected void updateTreeMap()
    Specified by:
      `updateTreeMap` in class `AbstractTreeMapFieldComboBoxModel`

  - ### accept

    protected boolean accept(TreeMapField field)
    Specified by:
      `accept` in class `AbstractTreeMapFieldComboBoxModel`